Skip to main content
DELETE
/
api
/
v1
/
indexes
/
{indexName}
/
delete
Delete an index
curl --request DELETE \
  --url https://api.example.com/api/v1/indexes/{indexName}/delete \
  --header 'X-Eigen-API-Key: <api-key>'
import requests

url = "https://api.example.com/api/v1/indexes/{indexName}/delete"

headers = {"X-Eigen-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-Eigen-API-Key': '<api-key>'}};

fetch('https://api.example.com/api/v1/indexes/{indexName}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 200,
  "message": "Index '<indexName>' successfully deleted."
}
{
"status": 500,
"message": "An error occured while deleting the index.",
"error": {
"code": "INDEX_NOT_DELETED",
"description": "detailed description of the error..."
}
}

Authorizations

X-Eigen-API-Key
string
header
required

Path Parameters

indexName
string
required

Name of the index

Response

Index successfully deleted.

status
integer
required

Status code of the response

message
string
required

Message giving basic information on the response

data
object

Important data to be given to the caller

error
object

An error that has occured